# nativeSDK
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.1.0
- Package version: 0.1
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import native_sdk_core 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import native_sdk_core
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import native_sdk_core
from native_sdk_core.rest import ApiException
from pprint import pprint

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
chain = NULL # object | Type of chain such as bsc or eth
token = NULL # object | Token address
address = NULL # object | User wallet address

try:
    # Get Allowance
    api_response = api_instance.get_allowance(chain, token, address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_allowance: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
chain = NULL # object | Type of chain such as bsc or eth
token = NULL # object | Token address
address = NULL # object | User wallet address

try:
    # Get Balance
    api_response = api_instance.get_balance(chain, token, address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_balance: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
pool_pricing_id = NULL # object | 

try:
    # Get Depth Chart
    api_response = api_instance.get_depth_chart(pool_pricing_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_depth_chart: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
pair = NULL # object | Supported swap token pair
chain = NULL # object | Type of chain such as bsc or eth
side = NULL # object | Type of action such as buy or sell
amount = NULL # object | Amount of token to be sold
address = NULL # object | User wallet address

try:
    # Get Firm Quote
    api_response = api_instance.get_firm_quote(pair, chain, side, amount, address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_firm_quote: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
pair = NULL # object | Supported swap token pair
chain = NULL # object | Type of chain such as bsc or eth
side = NULL # object | Type of action such as buy or sell
amount = NULL # object | Amount of token to be sold
address = NULL # object | User wallet address

try:
    # Get Indicative Quote
    api_response = api_instance.get_indicative_quote(pair, chain, side, amount, address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_indicative_quote: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
chain = NULL # object | Type of chain such as bsc or eth

try:
    # Get Instruments
    api_response = api_instance.get_instruments(chain)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_instruments: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
chain = NULL # object | Type of chain such as bsc or eth

try:
    # Get Pools
    api_response = api_instance.get_pools(chain)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_pools: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
address = NULL # object | User wallet address

try:
    # Get Role
    api_response = api_instance.get_role(address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->get_role: %s\n" % e)

# Configure API key authorization: APIKeyCookie
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyHeader
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'
# Configure API key authorization: APIKeyQuery
configuration = native_sdk_core.Configuration()
configuration.api_key['api_key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'

# create an instance of the API class
api_instance = native_sdk_core.DefaultApi(native_sdk_core.ApiClient(configuration))
body = native_sdk_core.SelectPoolPricing() # SelectPoolPricing | 
address = NULL # object | 

try:
    # Update Selected Pool Pricing
    api_response = api_instance.update_selected_pool_pricing(body, address)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->update_selected_pool_pricing: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.native.org*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**get_allowance**](docs/DefaultApi.md#get_allowance) | **GET** /allowance | Get Allowance
*DefaultApi* | [**get_balance**](docs/DefaultApi.md#get_balance) | **GET** /balance | Get Balance
*DefaultApi* | [**get_depth_chart**](docs/DefaultApi.md#get_depth_chart) | **GET** /depth-chart | Get Depth Chart
*DefaultApi* | [**get_firm_quote**](docs/DefaultApi.md#get_firm_quote) | **GET** /firm-quote | Get Firm Quote
*DefaultApi* | [**get_indicative_quote**](docs/DefaultApi.md#get_indicative_quote) | **GET** /indicative-quote | Get Indicative Quote
*DefaultApi* | [**get_instruments**](docs/DefaultApi.md#get_instruments) | **GET** /instruments | Get Instruments
*DefaultApi* | [**get_pools**](docs/DefaultApi.md#get_pools) | **GET** /pools | Get Pools
*DefaultApi* | [**get_role**](docs/DefaultApi.md#get_role) | **GET** /role | Get Role
*DefaultApi* | [**update_selected_pool_pricing**](docs/DefaultApi.md#update_selected_pool_pricing) | **POST** /pool-pricing | Update Selected Pool Pricing

## Documentation For Models

 - [AnyOfValidationErrorLocItems](docs/AnyOfValidationErrorLocItems.md)
 - [FirmQuote](docs/FirmQuote.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [IndicativeQuote](docs/IndicativeQuote.md)
 - [Instrument](docs/Instrument.md)
 - [SelectPoolPricing](docs/SelectPoolPricing.md)
 - [ValidationError](docs/ValidationError.md)

## Documentation For Authorization


## APIKeyCookie

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: URL query string

## APIKeyHeader

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: HTTP header

## APIKeyQuery

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: URL query string


## Author


